gtksourceview.SourceStyleScheme
Prev | The GtkSourceView Class Reference | Next

## gtksourceview.SourceStyleScheme

gtksourceview.SourceStyleScheme — StyleScheme object for gtksourceview.SourceView

## Synopsis

    class gtksourceview.SourceStyleScheme(gobject.GInterface):
        gtksourceview.SourceStyleScheme()
        def get_tag_style(style_name)
        def get_name()
        def get_style_names()

    Functions

        def gtksourceview.gtk_source_style_scheme_get_default()

## Ancestry

    +-- gobject.GInterface
      +-- gtksourceview.SourceStyleScheme

## Description

## Constructor

        gtksourceview.SourceStyleScheme()

Returns : | a new `gtksourceview.SourceStyleScheme`.

Creates a new `gtksourceview.SourceStyleScheme` object.

## Methods

### gtksourceview.SourceStyleScheme.get_tag_style

        def get_tag_style(style_name)

`style_name` : | the name of a style.
Returns : | a gtksourceview.SourceTagStyle.

The `get_tag_style`() method gets the tag associated with the given `style_name` in the style scheme.

### gtksourceview.SourceStyleScheme.get_name

        def get_name()

Returns : | the name of the style scheme.

The `get_name`() method gets the name of the style scheme.

### gtksourceview.SourceStyleScheme.get_style_names

        def get_style_names()

Returns : | a list of style names.

The `get_style_names`() method gets a list of style names in the given style scheme.

## Functions

### gtksourceview.gtk_source_style_scheme_get_default

        def gtksourceview.gtk_source_style_scheme_get_default()

Returns : | a gtksourceview.SourceStyleScheme

The `gtk_source_style_scheme_get_default`() function gets the default style scheme.

Prev | Up | Next
gtksourceview.SourceMarker | Home | gtksourceview.SourceTag